import React, { useMemo } from 'react';
import { Link, Route } from 'react-router-dom';
import { Helmet } from 'react-helmet';
import { Layout } from '@component-controls/base-integration';
import { store } from '@component-controls/base-integration/store';
import { getRoutes } from '@component-controls/routes';
import { __rest } from 'tslib';

const ReactRouterLink = (_a) => {
    var { href = '', children } = _a, props = __rest(_a, ["href", "children"]);
    return (React.createElement(Link, Object.assign({ to: href }, props), children));
};

const ControlsPage = (props) => {
    const DocHome = () => (React.createElement(Layout, Object.assign({}, props, { store: store, Helmet: Helmet, Link: ReactRouterLink })));
    return DocHome;
};
const useRoutes = () => {
    const routes = useMemo(() => {
        const paths = getRoutes(store);
        const routes = paths.map(props => (React.createElement(Route, { key: props.path, exact: true, path: props.path, component: ControlsPage(props) })));
        return routes;
    }, []);
    return routes;
};

export { ControlsPage, useRoutes };
